org.apache.commons.math.optimization.fitting

## Class WeightedObservedPoint

- java.lang.Object
- - org.apache.commons.math.optimization.fitting.WeightedObservedPoint

All Implemented Interfaces:
  Serializable

    public class WeightedObservedPoint
    extends Object
    implements Serializable

This class is a simple container for weighted observed point in `curve fitting`.

Instances of this class are guaranteed to be immutable.

Since:
  2.0
Version:
  $Revision: 786479 $ $Date: 2009-06-19 14:36:16 +0200 (ven. 19 juin 2009) $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version id.
`private double` `weight` Weight of the measurement in the fitting process.
`private double` `x` Abscissa of the point.
`private double` `y` Observed value of the function at x.

### Constructor Summary

Constructors
Constructor and Description
`WeightedObservedPoint(double weight, double x, double y)` Simple constructor.

### Method Summary

Methods
`double` `getWeight()` Get the weight of the measurement in the fitting process.
`double` `getX()` Get the abscissa of the point.
`double` `getY()` Get the observed value of the function at x.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version id.

See Also:
  Constant Field Values

#### weight

    private final double weight

Weight of the measurement in the fitting process.

#### x

    private final double x

Abscissa of the point.

#### y

    private final double y

Observed value of the function at x.

### Constructor Detail

#### WeightedObservedPoint

    public WeightedObservedPoint(double weight,
                         double x,
                         double y)

Simple constructor.

Parameters:
  `weight` - weight of the measurement in the fitting process
  `x` - abscissa of the measurement
  `y` - ordinate of the measurement

### Method Detail

#### getWeight

    public double getWeight()

Get the weight of the measurement in the fitting process.

Returns:
  weight of the measurement in the fitting process

#### getX

    public double getX()

Get the abscissa of the point.

Returns:
  abscissa of the point

#### getY

    public double getY()

Get the observed value of the function at x.

Returns:
  observed value of the function at x